<configuration>
    <include resource="org/springframework/boot/logging/logback/defaults.xml"/>

    <conversionRule conversionWord="clr" class="org.springframework.boot.logging.logback.ColorConverter"/>
    <conversionRule conversionWord="wex" class="org.springframework.boot.logging.logback.WhitespaceThrowableProxyConverter"/>
    <conversionRule conversionWord="wEx" class="org.springframework.boot.logging.logback.ExtendedWhitespaceThrowableProxyConverter"/>

    <springProperty scope="context" name="LOGGING_PARENT" source="logging.parent"/>
    <springProperty scope="context" name="APP_NAME" source="spring.application.name"/>

    <appender name="Console" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>%d{yyyy-MM-dd HH:mm:ss.SSS} %clr(%5p) %clr([${HOSTNAME}]){yellow} %clr([%t]){magenta} %clr(%logger{40}){cyan}: %m%n%wEx</pattern>
        </encoder>
    </appender>

    <logger name="com.lanyuanxiaoyao.leopard" level="INFO"/>
    <logger name="org.hibernate.SQL" level="DEBUG"/>

    <root level="ERROR">
        <appender-ref ref="Console"/>
    </root>
</configuration>